=== examples/virtualkeyboard/CMakeLists.txt ===
if(TARGET Qt::QuickControls2)
    qt_internal_add_example(basic)
endif()
