=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

if(NOT ANDROID) # QTBUG-102756
add_subdirectory(inputpanel)
endif()
add_subdirectory(inputpanelcontrols)
add_subdirectory(styles)
add_subdirectory(layoutfilesystem)
add_subdirectory(layoutresources)
# add_subdirectory(cmake) # special case
add_subdirectory(dictionarymanager)
