=== tests/manual/CMakeLists.txt ===
# Generated from manual.pro.

add_subdirectory(x11vkbwrapper)
add_subdirectory(x11vkbtest)
add_subdirectory(quickcontrols2)
add_subdirectory(startupperformance)
