=== src/plugins/hunspell/CMakeLists.txt ===
if(QT_FEATURE_3rdparty_hunspell)
    add_subdirectory(3rdparty/hunspell)
endif()
add_subdirectory(module)
