=== debian/changelog ===
qt6-virtualkeyboard (6.4.2+dfsg-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:59 +1100

qt6-virtualkeyboard (6.4.2+dfsg-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:02:12 +0000

qt6-virtualkeyboard (6.4.2+dfsg-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jul 2023 18:33:20 -0300

qt6-virtualkeyboard (6.4.2+dfsg-3) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages.
  * Hack around #1040496 in order to decrease severity. This is _not_ a proper
    fix.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Jul 2023 21:18:24 -0300
