## qt6-virtualkeyboard 6.6.2+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.6.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:44:25 +0200

qt6-virtualkeyboard (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 23:12:42 +0100

qt6-virtualkeyboard (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6hunspellinputmethod6.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Dec 2023 23:47:53 +0100
