## qt6-virtualkeyboard 6.7.2+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.7.2+dfsg-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Dec 2024 23:51:30 +0100

qt6-virtualkeyboard (6.7.2+dfsg-3) unstable; urgency=medium

  * Remove virtual package libqt6virtualkeyboard6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:09:35 +0200

qt6-virtualkeyboard (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 14:59:49 +0200

qt6-virtualkeyboard (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.
  * Remove hack to work around the problem of failing builds with
    parallel=1 (Closes: #1040496).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 18:34:08 +0200
