=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
@@ -12,18 +14,19 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-svg-dev (>= 6.6.2~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-multimedia-dev (>= 6.7.2~),
+               qt6-svg-dev (>= 6.7.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
@@ -46,7 +49,7 @@
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6hunspellinputmethod6,
 Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
@@ -76,11 +79,11 @@
  This package contains the Qt Virtual Keyboard plugin.
 
 Package: qt6-virtualkeyboard-dev
-Provides: libqt6virtualkeyboard6-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
+         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
@@ -122,7 +125,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 virtual keyboard examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
