## qt6-virtualkeyboard 6.8.0+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.8.0+dfsg-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 10:45:50 +0800
