=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
@@ -14,18 +12,18 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-multimedia-dev (>= 6.7.2~),
-               qt6-svg-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-multimedia-dev (>= 6.8.0~),
+               qt6-svg-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
@@ -49,7 +47,7 @@
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6hunspellinputmethod6,
 Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
@@ -83,7 +81,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
-         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
@@ -125,7 +122,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 virtual keyboard examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
