=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,6 @@
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	extra_cmake_args += -DQT_HOST_PATH=/usr
-endif
-
-# Hack around #1040496. While I do not think this is serious it is indeed
-# important and might be fixed in Qt >= 6.5
-PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
-ifneq (,$(PARALLEL_OPTION))
-	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
-	ifeq ($(NUMJOBS), 1)
-		DEB_BUILD_OPTIONS := $(subst parallel=1,parallel=2,$(DEB_BUILD_OPTIONS))
-	endif
 endif
 
 %:
@@ -36,6 +26,12 @@
 	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;
 
+override_dh_shlibdeps:
+	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+
+override_dh_makeshlibs:
+	dh_makeshlibs -XlibQt6VirtualKeyboardSettings
+
 execute_after_dh_auto_install-arch:
 	# Reproducible builds: remove build paths from .prl files
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
