=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: qt6-virtualkeyboard
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
@@ -12,14 +15,14 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-multimedia-dev (>= 6.8.0~),
-               qt6-svg-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-multimedia-dev (>= 6.8.1~),
+               qt6-svg-dev (>= 6.8.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
@@ -47,7 +50,7 @@
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6hunspellinputmethod6,
 Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
@@ -81,6 +84,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
+         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
@@ -122,7 +126,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 virtual keyboard examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
